ITPub博客

首页 > 数据库 > MySQL > /usr/share/mysql/czech/errmsg.sys from *** conflicts with file from package **

/usr/share/mysql/czech/errmsg.sys from *** conflicts with file from package **

MySQL 作者:urgel_babay 时间:2016-02-29 17:11:44 0 删除 编辑
2014.11.12
再给新项目使用rpm安装MySQL的时候,报错:
[root@zhanglin ~]# rpm -ivh MySQL-server-5.6.19-1.el6.x86_64.rpm
Preparing...                ########################################### [100%]
        file /usr/share/mysql/czech/errmsg.sys from install of MySQL-server-5.6.19-1.el6.x86_64 conflicts with file from package mysql-libs-5.1.61-4.el6.x86_64
        file /usr/share/mysql/danish/errmsg.sys from install of MySQL-server-5.6.19-1.el6.x86_64 conflicts with file from package mysql-libs-5.1.61-4.el6.x86_64
        file /usr/share/mysql/dutch/errmsg.sys from install of MySQL-server-5.6.19-1.el6.x86_64 conflicts with file from package mysql-libs-5.1.61-4.el6.x86_64
        file /usr/share/mysql/english/errmsg.sys from install of MySQL-server-5.6.19-1.el6.x86_64 conflicts with file from package mysql-libs-5.1.61-4.el6.x86_64
        file /usr/share/mysql/estonian/errmsg.sys from install of MySQL-server-5.6.19-1.el6.x86_64 conflicts with file from package mysql-libs-5.1.61-4.el6.x86_64


1、查看是否安装了MySQL
[root@zhanglin ~]# rpm -aq|grep mysql
mysql-libs-5.1.61-4.el6.x86_64

2、删除系统自带的。
mysql-libs-5.1.61-4.el6.x86_64的库(这是linux自带的,在装系统的时候被勾选了)所以需要先删除以前的库才能安装!

执行命令:
[root@zhanglin ~]# rpm -e mysql-libs-5.1.61-4.el6.x86_64     ------可能删不掉,因为有些依赖的包

[root@zhanglin ~]# rpm -e mysql-libs-5.1.61-4.el6.x86_64 --nodeps    ------强制卸载!

3、再次检查是否删除掉,若删掉就可以rpm安装了。

 

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/30936525/viewspace-2016601/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2016-02-29

  • 博文量
    203
  • 访问量
    213259